#!/usr/bin/python
# -*- coding: utf-8 -*-
"""
Created on Mon Nov 11 08:33:50 2013

@author: lightninglord
"""

import thread
import time
import datetime
import os

import RPi.GPIO as GPIO
from sys import stdout
from oneWireTemp import *

tempAct = 0
cWater = 4200.0
mWater = 1.0
PHeater = 2200.0
tempSet = 64.5



def measureTempCont():
	while True:

		global tempAct
		global heaterState
		
		timeStamp = datetime.datetime.now().strftime('%d.%m.%Y %H:%M:%S')
		os.system('clear')
		stdout.write('%s ' % timeStamp)
		tempAct = measureTemp()
		stdout.write('%.1f C' % tempAct)
		stdout.write('\t%s' % heaterState)
		stdout.flush()
		time.sleep(1)
	
def controlTemp(tOn):
	global heaterState
	
	GPIO.output(18,GPIO.HIGH)
	heaterState = 'An'	
	
	time.sleep(tOn)
	
	GPIO.output(18,GPIO.LOW)
	heaterState = 'Aus'
	time.sleep(30)
	
	
	
initTemp()
GPIO.setmode(GPIO.BCM)
GPIO.setup(18,GPIO.OUT)
GPIO.output(18,GPIO.LOW)
heaterState = 'Aus'

thread.start_new_thread(measureTempCont,())
time.sleep(1)

try:
	while True:
		if(tempAct < 64.0):		
			tOn = cWater * mWater * (tempSet - tempAct) / PHeater
			controlTemp(tOn)
		elif(tempAct > 65.0):
			GPIO.output(18,GPIO.LOW)
			heaterState = 'Aus'
			
except KeyboardInterrupt:
	pass

os.system('clear')
GPIO.cleanup()