#!/usr/bin/python
# -*- coding: utf-8 -*-
"""
Created on Mon Nov 11 08:13:33 2013

@author: lightninglord
"""

import os
	
def initTemp():

	try:
		os.system('modprobe w1-gpio')
		os.system('modprobe w1-therm')
		
	except SystemError:
		pass
		
def measureTemp():
	deviceDir = '/sys/bus/w1/devices/'
	deviceID = '28-0008004c05cc'
	deviceFile = deviceDir + deviceID + '/w1_slave'
	
	try:
		f = open(deviceFile, 'r')
		tempLines = f.readlines()
		f.close()
		error_check = tempLines[0].find('YES')
		tempPos = tempLines[1].find('t=')
		
		if error_check == -1:
			return -1

		if tempPos != -1:
			tempString =	tempLines[1][tempPos+2:]
			temp = float(tempString) /	1000.0

			return temp

		else:
			return -1
	
	except:
		return -1

